Bug 819015 - Review Request: picocontainer - Java library implementing the Dependency Injection pattern
Review Request: picocontainer - Java library implementing the Dependency Inje...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
: 1158127 (view as bug list)
Depends On: 826020
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 11:28 EDT by gil cattaneo
Modified: 2014-11-14 07:10 EST (History)
3 users (show)

See Also:
Fixed In Version: picocontainer-2.15-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-14 07:10:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-04 11:28:08 EDT
Spec URL: http://gil.fedorapeople.org/picocontainer2.spec
SRPM URL: http://gil.fedorapeople.org/picocontainer2-2.14.1-1.fc16.src.rpm
Description: PicoContainer is a highly embeddable full service Inversion of Control
(IoC) container for components honour the Dependency Injection pattern.
It can be used as a lightweight alternative to Sun's J2EE patterns for
web applications or general solutions.

Despite it being very compact in size (the core is ~128K and it has no
mandatory dependencies outside the JDK), PicoContainer supports
different dependency injection types (Constructor, Setter, Annotated
Field and Method) and offers multiple lifecycle and monitoring
strategies.

tested on http://koji.fedoraproject.org/koji/taskinfo?taskID=4053270
Comment 1 Alexander Kurtakov 2012-05-29 05:05:06 EDT
Why put version in the name when we don't have other versions? The package should be named just picocontainer.
Comment 2 gil cattaneo 2012-05-29 08:51:20 EDT
Spec URL: http://gil.fedorapeople.org/picocontainer.spec
SRPM URL: http://gil.fedorapeople.org/picocontainer-2.14.1-1.fc16.src.rpm
- renamed
- built gems modules
Comment 3 gil cattaneo 2013-06-07 07:52:10 EDT
Spec URL: http://gil.fedorapeople.org/picocontainer.spec
SRPM URL: http://gil.fedorapeople.org/picocontainer-2.14.3-1.fc18.src.rpm

- update to 2.14.3
Comment 5 Michael Simacek 2014-11-04 09:06:28 EST
*** Bug 1158127 has been marked as a duplicate of this bug. ***
Comment 6 Michael Simacek 2014-11-04 09:11:18 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 445 files have unknown license. Detailed output
     of licensecheck in
     /home/msimacek/reviews/819015-picocontainer/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-poms/picocontainer, /usr/share
     /maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-
     poms/picocontainer, /usr/share/maven-metadata
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Java:
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     picocontainer-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: picocontainer-2.15-1.fc22.noarch.rpm
          picocontainer-javadoc-2.15-1.fc22.noarch.rpm
          picocontainer-2.15-1.fc22.src.rpm
picocontainer.noarch: W: spelling-error %description -l en_US embeddable -> embedded
picocontainer.noarch: W: spelling-error %description -l en_US honour -> honor, hon our, hon-our
picocontainer.noarch: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, Wycliffe
picocontainer-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/picocontainer/stylesheet.css
picocontainer.src: W: spelling-error %description -l en_US embeddable -> embedded
picocontainer.src: W: spelling-error %description -l en_US honour -> honor, hon our, hon-our
picocontainer.src: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, Wycliffe
picocontainer.src: W: invalid-url Source0: picocontainer-2.15.tar.xz
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@unused-4-144 /]# rpmlint picocontainer-javadoc picocontainer
picocontainer-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/picocontainer/stylesheet.css
picocontainer.noarch: W: spelling-error %description -l en_US embeddable -> embedded
picocontainer.noarch: W: spelling-error %description -l en_US honour -> honor, hon our, hon-our
picocontainer.noarch: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, Wycliffe
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
]0;<mock-chroot><mock-chroot>[root@unused-4-144 /]# echo 'rpmlint-done:'



Requires
--------
picocontainer-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

picocontainer (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(asm:asm)
    mvn(com.thoughtworks.paranamer:paranamer)
    mvn(com.thoughtworks.xstream:xstream)
    mvn(javax.annotation:jsr250-api)
    mvn(javax.inject:javax.inject)
    mvn(org.jmock:jmock-junit4)
    mvn(xpp3:xpp3_min)



Provides
--------
picocontainer-javadoc:
    picocontainer-javadoc

picocontainer:
    mvn(org.picocontainer:picocontainer)
    mvn(org.picocontainer:picocontainer-debug)
    mvn(org.picocontainer:picocontainer-debug:pom:)
    mvn(org.picocontainer:picocontainer-parent:pom:)
    mvn(org.picocontainer:picocontainer-tck)
    mvn(org.picocontainer:picocontainer-tck:pom:)
    mvn(org.picocontainer:picocontainer:pom:)
    picocontainer



Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 819015
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG



Minor issues: description: replace honour -> honor
              picocontainer-javadoc.noarch: W: wrong-file-end-of-line-encoding /usr/share/javadoc/picocontainer/stylesheet.css

Everything else seems fine, you can fix the minor stuff during the
import. Don't forget that the package was previously retired, so the SCM
request will be different and you need to perform additional steps.
Comment 7 gil cattaneo 2014-11-04 09:40:15 EST
Package Change Request
======================
Package Name: picocontainer
New Branches: f21
Owners: gil
InitialCC: java-sig
Comment 8 gil cattaneo 2014-11-04 10:38:04 EST
(In reply to Michael Simacek from comment #6)

> Minor issues: description: replace honour -> honor
>               picocontainer-javadoc.noarch: W:
> wrong-file-end-of-line-encoding
> /usr/share/javadoc/picocontainer/stylesheet.css
Done
> Everything else seems fine, you can fix the minor stuff during the
> import. Don't forget that the package was previously retired, so the SCM
> request will be different and you need to perform additional steps.

Spec URL: http://gil.fedorapeople.org/picocontainer.spec
SRPM URL: http://gil.fedorapeople.org/picocontainer-2.15-1.fc19.src.rpm
Comment 9 Gwyn Ciesla 2014-11-05 06:59:10 EST
Git done (by process-git-requests).
Comment 10 gil cattaneo 2014-11-05 07:07:27 EST
Package Change Request
======================
Package Name: picocontainer
New Branches: f22
Owners: gil
InitialCC: java-sig
Comment 11 Fedora Update System 2014-11-07 05:07:02 EST
picocontainer-2.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/picocontainer-2.15-1.fc21
Comment 12 Fedora Update System 2014-11-10 01:31:15 EST
picocontainer-2.15-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 13 Fedora Update System 2014-11-14 07:10:36 EST
picocontainer-2.15-1.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.